# enable_gtkdoc: whether gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc 1

# End of user configurable section

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define req_libxml2_version	2.4.10
%define req_atk_version		1.0.0
%define req_gtk_version		2.0.0

%define pkgname		libglade
%define api_version	2.0
%define lib_major	0

Summary:	Library for dynamically loading GLADE interface files
Name:		%{pkgname}%{api_version}
Version:	2.0.1
Release:	3mdk
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org
Source:		ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-buildroot

BuildConflicts:	libglade0-devel < 0.17

BuildRequires:	autoconf2.5
BuildRequires:	libxml2-devel >= %{req_libxml2_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
BuildRequires:	python >= 2.0
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif

%description
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{pkgname}%{api_version}_%{lib_major}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}
Requires:	libxml2 >= %{req_libxml2_version}

%description -n %{pkgname}%{api_version}_%{lib_major}
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.


%package -n %{pkgname}%{api_version}_%{lib_major}-devel
Summary:	Libraries, includes, etc to develop libglade applications
Group:		Development/GNOME and GTK+
Conflicts:	libglade0-devel < 0.17
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	%{pkgname}%{api_version}_%{lib_major} = %{version}
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Requires:	libxml2-devel >= %{req_libxml2_version}
# $bindir/libglade-convert is python script
Requires:	python >= 2.0
PreReq:     libxml2-utils >= %{req_libxml2_version}


%description -n %{pkgname}%{api_version}_%{lib_major}-devel
%{pkgname} allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

This package contains static libraries, include files, etc so that
you can use to develop %{pkgname} applications.


%prep
%setup -q -n %{pkgname}-%{version}

#fix build
libtoolize --force
aclocal
autoconf
automake

%build
%configure2_5x \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# install test program
sh ./libtool --mode=install %{_bindir}/install test-libglade %{buildroot}%{_bindir}/test-libglade

# Make libglade own %{_libdir}/libglade
mkdir -p %{buildroot}%{_libdir}/libglade/%{api_version}

%clean
rm -rf %{buildroot}

%post -n %{pkgname}%{api_version}_%{lib_major}-devel
/sbin/ldconfig
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "system" \
		"http://glade.gnome.org/glade-2.0.dtd" \
		%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true

%postun -n %{pkgname}%{api_version}_%{lib_major}-devel
/sbin/ldconfig
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --del \
		%{_datadir}/xml/libglade/glade-2.0.dtd $CATALOG || true


%files -n %{pkgname}%{api_version}_%{lib_major}
%defattr(-, root, root)
%doc README
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/%{api_version}

%files -n %{pkgname}%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog doc/*.sgml examples
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/*
%{_datadir}/xml/libglade
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- libxml2-utils is needed for post/postun for devel package 

* Sat Nov  9 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.1-2mdk
- BuildRequires: autoconf2.5

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Thu Jul 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix catalog registration

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.12-1mdk
- Release 1.99.12

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-1mdk
- Release 1.99.11

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-1mdk
- Release 1.99.10

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-2mdk
- Fix bad dependencies

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Initial Mandrake package (based on Abel Cheung work)
- Register dtd in xml catalog

* Mon Jan  7 2002 Abel Cheung <maddog@linux.org.hk> 1.99.5-1mdk
- 1.99.5
- Use makeinstall_std
- Requires/BuildRequires python
- Improve gnome-autogen process (don't run configure 2 times)

* Fri Dec  7 2001 Abel Cheung <maddog@linux.org.hk> 1.99.4-1mdk
- 1.99.4
- Use make install DESTDIR=...
- Use configure2_5x to specify build,host,target
- Specify required version for gnome-common
- Buildconflicts itself to prevent creating faulty package
- Specifying "env python" hack no more necessary now
- Remove outdated doc
- Always include gtk-doc stuff

* Sun Nov 11 2001 Abel Cheung <maddog@linux.org.hk> 1.99.3-2mdk
- Reworked patch0
- Corrected a few Requires
- Fixed wrong invoking of autogen scripts
- Rename name to libglade2_$major

* Fri Nov  2 2001 Abel Cheung <maddog@linux.org.hk> 1.99.3-1mdk
- 1.99.3
- libglade don't contain bonobo and gnome binding anymore
- Patch0 bzip2'ed and enabled
- Update {Build,}Requires

* Mon Oct  8 2001 Abel Cheung <maddog@linux.org.hk> 1.99.2-1mdk
- First Mandrake spec, based on original spec in CVS
